Home Help Center

Building with gcc for Solaris 5.9

mwilsonmwilson Member Mark WilsonOrganization: Integrated Computer Solutions, Inc.Project: TBD ✭✭✭
I need to build Ice for Solaris 5.9 with gcc 3.4.3. I assume that if I don't have Berkeley DB on my system, that I will need to download and build the ThirdParty.tar.gz file? Do you guys think I can be successful doing this?

Thanks.

Comments

  • bernardbernard Jupiter, FLAdministrators, ZeroC Staff Bernard NormierOrganization: ZeroC, Inc.Project: Ice ZeroC Staff
    Ice 2.1.2 is supported on Solaris 9 with GCC 3.4.2, so it will most likely work with GCC 3.4.3. (Please see INSTALL.SOLARIS).

    You need to build Berkeley DB 4.2 or 4.3 with C++ support (and the same C++ compiler as for Ice). You can use the source distrib in ThirdParty.tar.gz or download the distribution from sleepycat--it's the same. Other third-party packages are C packages so any build should work.

    Cheers,
    Bernard
Sign In or Register to comment.